xhtml-3000.2.2.1: An XHTML combinator library

Copyright | (c) Andy Gill and the Oregon Graduate Institute of Science and Technology 1999-2001 (c) Bjorn Bringert 2004-2006
License | BSD-style (see the file LICENSE)
Maintainer | Chris Dornan <chris@chrisdornan.com>
Stability | Stable
Portability | Portable
Safe Haskell | Safe
Language | Haskell2010

Text.XHtml

Description

An XHTML combinator library.

Based on the original Text.Html library by Andy Gill. See http://www.cse.ogi.edu/~andy/html/intro.htm for an introduction to that library.

This module re-exports Text.XHtml.Transitional, which produces XHTML 1.0 Transitional. Use Text.XHtml.Strict if you want XHTML 1.0 Strict, and Text.XHtml.Frameset if you want to produce XHTML 1.0 Frameset.

See http://www.w3.org/TR/xhtml1/ for more information about XHTML 1.0.

Synopsis

- module Text.XHtml.Transitional
- module Text.XHtml.Table
- data HtmlTree
  - = HtmlLeaf Html
  - | HtmlNode Html [HtmlTree] Html
- treeHtml :: [String] -> HtmlTree -> Html
- treeColors :: [String]
- debugHtml :: HTML a => a -> Html

# Documentation

module Text.XHtml.Transitional

module Text.XHtml.Table

data HtmlTree Source #

The basic idea is you render your structure in the form of this tree, and then use treeHtml to turn it into a Html object with the structure explicit.

Constructors

HtmlLeaf Html |
HtmlNode Html [HtmlTree] Html |

#### Instances

Instances details

HTML HtmlTree Source # |
Instance details Defined in Text.XHtml.Debug Methods toHtml :: HtmlTree -> Html Source # toHtmlFromList :: [HtmlTree] -> Html Source #

treeHtml :: [String] -> HtmlTree -> Html Source #

treeColors :: [String] Source #

debugHtml :: HTML a => a -> Html Source #

This uses the above tree rendering function, and displays the Html as a tree structure, allowing debugging of what is actually getting produced.